apiVersion: batch/v1
kind: Job
metadata:
  name: addcell
  namespace: vitess
spec:
  template:
    spec:
      containers:
      - name: addcell
        image: debian:latest
        command:
        - /bin/sh
        - -c
        - |
          apt-get update && apt-get install -y wget
          wget https://github.com/vitessio/vitess/releases/download/v14.0.4/vitess_14.0.4-7fafc94_amd64.deb
          dpkg -i vitess_14.0.4-7fafc94_amd64.deb

          export GLOBAL_TOPOLOGY="--topo_implementation zk2 --topo_global_server_address pulsar-zookeeper-lb.pulsar.svc.cluster.local:2181 --topo_global_root /vitess/minds/global"

          vtctl ${GLOBAL_TOPOLOGY} AddCellInfo -- --server_address pulsar-zookeeper-lb.pulsar.svc.cluster.local:2181 --root /vitess/minds/useast1a useast1a
          vtctl ${GLOBAL_TOPOLOGY} AddCellInfo -- --server_address pulsar-zookeeper-lb.pulsar.svc.cluster.local:2181 --root /vitess/minds/useast1b useast1b
          vtctl ${GLOBAL_TOPOLOGY} AddCellInfo -- --server_address pulsar-zookeeper-lb.pulsar.svc.cluster.local:2181 --root /vitess/minds/useast1d useast1d
      restartPolicy: Never
  backoffLimit: 1